Bug 175789 - yum does not subtract cached packages from download total
yum does not subtract cached packages from download total
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-14 19:09 EST by John Mahowald
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 01:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-12-14 19:09:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
yum does not show account for cached packages when displaying the size to download. This results in users thinking they have to redownload 2+ GB of updates for their full install.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum update
2. Cancel, or update fails
3. yum update
  

Additional info:
Comment 1 Seth Vidal 2005-12-19 01:06:24 EST
at this point in the process we don't even know that we have _any_ cached packages.

so we can't do this easily.

We could do it with a fair bit of code shuffling but I don't think it's really
worth doing. The benefit is extremely minimal.
Comment 2 Rahul Sundaram 2005-12-19 07:07:31 EST
The benefit is that users can understand exactly how much amount of stuff they
need to download. For low bandwidth users this can mean a lot. The current
process does not take cache data into account and is pretty misleading. If the
amount of code required to provide this information is large, then can you
change the message to indicate that it does not take cache into account?

Note You need to log in before you can comment on or make changes to this bug.